fuss-manager - Segnalazione #788

Fare pacchetto .deb
04/03/2019 11:32 AM - Enrico Zini

Status: In elaborazione Start date: 04/09/2019
Priority: Normale Due date:

Assignee: Elena Grandi % Done: 50%
Category: Estimated time: 0.00 hour
Target version: 0.8.1 Pacchettizzazione

Resolution:

Description

Distribuire I'applicazione in modo che ascolti per default solo su 127.0.0.1 (visto che non c'€ al momento autenticazione)

Subtasks:

Segnalazione # 794: Sistemare la compatibilita tra asyncio di jessie e asyncio contempo... Chiuso
Segnalazione # 796: tornado.gen.BadYieldError nell'App in jessie Chiuso
Segnalazione # 813: Far girare fuss-manager con un suo utente apposito Nuovo
Segnalazione # 909: Impostare la directory di destinazione per i dati di sessione Nuovo

Related issues:
Related to fuss-manager - Segnalazione #810: Caricare la configurazione da un... Chiuso 05/15/2019

Related to fuss-manager - Segnalazione #826: Cambiare la porta di ascolto di ... Chiuso 05/31/2019

Associated revisions

Revision 78248fbf - 04/08/2019 02:23 PM - Elena Grandi

Add compatibility wrappers for loop.create_future and asyncio.create_task. refs: #788

Revision 96a75b1f - 04/09/2019 10:50 AM - Elena Grandi

Wrap modern asyncio calls into a compatibility wrapper. refs: #788

Revision 433f2fa3 - 04/09/2019 02:47 PM - Elena Grandi

Load URLSpec from different position depending on tornado versions. refs: #788

Revision 7{38fb71 - 04/18/2019 10:31 AM - Elena Grandi

Pass strings instead of PurePath to tornado. refs #788

Revision 93bf4d54 - 04/23/2019 12:22 PM - Elena Grandi
Add a basic systemd unit. refs #788

Revision 4600bcd9 - 04/26/2019 10:43 AM - Elena Grandi
Add a basic systemd unit. refs #788

Revision 79f3e2a4 - 07/09/2019 01:29 PM - Enrico Zini
Merged fix from #788. Refs: #788

History

#1 - 04/03/2019 03:35 PM - Elena Grandi
- Status changed from Nuovo to In elaborazione

- Assignee set to Elena Grandi

Ho iniziato la pacchettizzazione nel branch fuss/native; probabilmente sara meglio fare poi dei pacchetti non-native, ma almeno per ora non ci si
preoccupa di tener traccia della tarball sorgente.

Ancora non & funzionante.

#2 - 04/08/2019 10:49 AM - Elena Grandi

- Assignee changed from Elena Grandi to Enrico Zini

Ho iniziato a scrivere un wrapper per per supportare la vecchia api di ruamel.yaml: & nel branch ruamel e riassegno il ticket per review && merge
(qualche dettaglio sul cambiamento di api & nel file manager/compat.py).

Poi ripassami pure il ticket che intanto procedo col resto

#3 - 04/08/2019 02:39 PM - Elena Grandi

- Assignee changed from Enrico Zini to Elena Grandi

mergiato ruamel in master come concordato in chat, proseguo con la compatibilitd per asyncio

#4 - 04/18/2019 10:40 AM - Elena Grandi

- Assignee changed from Elena Grandi to Enrico Zini

Fixato l'ultimo test, ti ripasso il ticket per review && merge del branch oldasync, dove ora i test girano sia su jessie che su buster.

Dopo il merge ripassami il ticket che ricomincio con la pacchettizzazione

#5 - 04/26/2019 10:24 AM - Elena Grandi
E ho anche generato un pacchetto funzionante su jessie; € nel branch fuss/tempfixes dal quale pensavo di cherry-pickare una volta avvenuto il merge
di oldasync in master.

Per mio appunto: previa configurazione del sistema come da fuss-dev-guide, ho generato il pacchetto usando

gbp buildpackage --git-export=WC —--git-pbuilder --git-debian-branch=fuss/tempfixes --git-dist=fuss-jessie --gi
t-no-pristine-tar -sa

e/o

gbp buildpackage --git-pbuilder --git-debian-branch=fuss/tempfixes —--git-dist=fuss-jessie --git-no-pristine-ta
r -sa

dovrd controllare il corretto funzionamento con altri metodi di build, ma lo farei una volta avvenuto il merge.
#6 - 04/26/2019 10:32 AM - Enrico Zini

- Assignee changed from Enrico Zini to Elena Grandi

Mergiato in master, grazie!

#7 - 04/26/2019 10:56 AM - Elena Grandi

pacchettizzazione aggiornata nel branch fuss/native.

Aspetto a pubblicare un .deb sul repo fuss per poter fare punto della situazione settimana prossima ed aggiungere eventuali nuove feature che
verranno implementate a breve.

Mi tengo il ticket per la pubblicazione.

#8 - 04/26/2019 11:32 AM - Elena Grandi

Manca anche I'aggiunta dei vari js disponibili come pacchetto in buster, ma non in jessie; da decidere se nel pacchetto o in un pacchetto a parte.

#9 - 05/14/2019 12:05 PM - Elena Grandi

- Assignee changed from Elena Grandi to Enrico Zini

Ci sono altre fix per far girare su jessie, nel branch test_fixes, di cui fare review e mergiare

#10 - 05/14/2019 12:29 PM - Enrico Zini

- Assignee changed from Enrico Zini to Elena Grandi

Fatto review e merge di test_fixes, grazie per i test che usano fuss-test-network, e per aver scoperto che non importava dare un nome al bridge, e per
tutto il resto!

#11 - 05/15/2019 03:02 PM - Elena Grandi

- Related to Segnalazione #810: Caricare la configurazione da un file added

#12 - 06/04/2019 12:31 PM - Elena Grandi

- Related to Segnalazione #826: Cambiare la porta di ascolto di default di fuss-manager added

#13 - 07/09/2019 11:35 AM - Elena Grandi

- Assignee changed from Elena Grandi to Enrico Zini

Nel branch t788 c'e una fix per fare si che i test non siano dipendenti dalla timezone, te lo passo per review e merge in master

(poi riassegnami pure il ticket per proseguire la pacchettizzazione)

#14 - 07/09/2019 12:00 PM - Elena Grandi

e ho aggiunto una seconda fix: in setup.py usavamo delle feature di setuptools, ma il setup di distutils, corretto per usare setuptools.

#15 - 07/09/2019 01:29 PM - Enrico Zini

- Assignee changed from Enrico Zini to Elena Grandi

Fatto merge, grazie
#16 - 07/10/2019 03:33 PM - Simone Piccardi

Il pacchetto non crea /etc/fuss-manager/hosts, che € necessario per far partire il servizio una volta installato.

#17 - 07/11/2019 11:24 AM - Elena Grandi

Simone Piccardi ha scritto:

Il pacchetto non crea /etc/fuss-manager/hosts, che € necessario per far partire il servizio una volta installato.

Creato #869 (non & un problema di pacchettizzazione, che ho visto dovrebbe creare correttamente la directory /etc/fuss-manager/ con altri contenuti,
ma proprio del fuss-manager).

#18 - 09/26/2019 10:47 AM - Elena Grandi

pacchettizzazione aggiornata per la versione 0.6

#19 - 11/21/2019 02:47 PM - Elena Grandi

Pacchettizzazione aggiornata alla versione 0.7.0 e pacchetto uploadato su buster-proposed-updates
